Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common.logging
Class IfsLogger

    java.lang.Object
      oracle.ifs.common.logging.IfsLogger

    public final class IfsLogger

extends java.lang.Object

An IfsLogger is used to produce log records, as a wrapper to the logging support provided in package `java.util.logging`.

(Published)

Method Summary
`void` | `addHandler(java.util.logging.Handler handler)` Add a log Handler to receive logging messages.
`void` | `clearEffectiveLevel()` Clear the effective level of this Logger.
`java.util.logging.Level` | `getEffectiveLevel()` Get the effective level of this Logger.
`java.util.logging.Filter` | `getFilter()` Get the current filter for this Logger.
`java.util.logging.Handler[]` | `getHandlers()` Get the Handlers associated with this logger.
`static boolean` | `getIncludeMethodColumns()` Gets indication as to whether method name and line numbers are to be included in log records.
`java.util.logging.Level` | `getLevel()` Get the log Level that has been specified for this Logger.
`static IfsLogger` | `getLogger()` Factory method to get an instance of this class, uses introspection to determine the name of he calling class, and that is used as the logger name.
`static IfsLogger` | `getLogger(java.lang.String loggerName)` Factory method to get an instance of this class.
`java.lang.String` | `getName()` Get the name for this logger.
`IfsLogger` | `getParent()` Return the parent for this Logger.
`static IfsLogger` | `getRootLogger()` Gets the root Logger.
`boolean` | `isLoggable(java.util.logging.Level level)` Check if a log request of the given level would actually be logged by this logger.
`void` | `log(IfsLogRecord record)` Overwrite base log method to not count this class as a caller when determining calling class and method.
`void` | `log(java.util.logging.Level level, LogInfo logInfo, java.lang.String msg)` Log a message with extra IFS info.
`void` | `log(java.util.logging.Level level, LogInfo logInfo, java.lang.String msg, java.lang.Object arg1)` Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, LogInfo logInfo, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2)` Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, LogInfo logInfo, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, LogInfo logInfo, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, LogInfo logInfo, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5)` Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, LogInfo logInfo, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5, java.lang.Object arg6)` Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, LogInfo logInfo, java.lang.String msg, java.lang.Throwable thrown)` Log a message with a throwable and extra IFS logging information.
`void` | `log(java.util.logging.Level level, java.lang.String msg)` Log a message without IFS extra logging info.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Object arg1)` Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2)` Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5)` Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5, java.lang.Object arg6)` Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.
`void` | `log(java.util.logging.Level level, java.lang.String msg, java.lang.Throwable thrown)` Log a message with a throwable, essentially a wrapper method to Logger.
`static void` | `registerLogInfoProvider(LogInfoProvider provider)` Register a LogInfoProvider that can get a LogInfo object during a log request.
`void` | `removeHandler(java.util.logging.Handler handler)` Remove a log Handler.
`void` | `setFilter(java.util.logging.Filter filter)` Set a filter to control output on this Logger.
`static void` | `setIncludeMethodColumns(boolean verbose)` Sets indication as to whether method name and line numbers are to be included in log records.
`void` | `setUseParentHandlers(boolean useParentHandlers)` Specify whether or not this logger should send its output to its parent Logger.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setIncludeMethodColumns

    public static void setIncludeMethodColumns(boolean verbose)

  Description copied from class: `IfsLogger`
  Sets indication as to whether method name and line numbers are to be included in log records.

  Parameters:
    `verbose` - whether method name and line numbers are to be included in log records.
  (Published)

### getIncludeMethodColumns

    public static boolean getIncludeMethodColumns()

  Description copied from class: `IfsLogger`
  Gets indication as to whether method name and line numbers are to be included in log records.

  Returns:
    whether method name and line numbers are to be included in log records.
  (Published)

### registerLogInfoProvider

    public static void registerLogInfoProvider(LogInfoProvider provider)

  Description copied from class: `IfsLogger`
  Register a LogInfoProvider that can get a LogInfo object during a log request.

  Parameters:
    `provider` - the default LogInfoProvider
  (Published)

### getLogger

    public static IfsLogger getLogger()

  Description copied from class: `IfsLogger`
  Factory method to get an instance of this class, uses introspection to determine the name of he calling class, and that is used as the logger name.

  Returns:
    an instance of this class to log with.
  (Published)

### getRootLogger

    public static IfsLogger getRootLogger()

  Description copied from class: `IfsLogger`
  Gets the root Logger.

  Returns:
    the root Logger
  (Published)

### getLogger

    public static IfsLogger getLogger(java.lang.String loggerName)

  Description copied from class: `IfsLogger`
  Factory method to get an instance of this class.

  Parameters:
    `loggerName` - A String containing the name fo the logger to return. Will return an existing logger or create a new logger. Normal usaage is to use the classname of the logger.
  Returns:
    An instance of this class to log with.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg)

  Description copied from class: `IfsLogger`
  Log a message without IFS extra logging info.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `msg` - a String containing the message to log.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Object arg1)

  Description copied from class: `IfsLogger`
  Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2)

  Description copied from class: `IfsLogger`
  Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2,
                    java.lang.Object arg3)

  Description copied from class: `IfsLogger`
  Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
    `arg3` - third logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2,
                    java.lang.Object arg3,
                    java.lang.Object arg4)

  Description copied from class: `IfsLogger`
  Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
    `arg3` - third logging argument.
    `arg4` - fourth logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2,
                    java.lang.Object arg3,
                    java.lang.Object arg4,
                    java.lang.Object arg5)

  Description copied from class: `IfsLogger`
  Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
    `arg3` - third logging argument.
    `arg4` - fourth logging argument.
    `arg5` - fifth logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2,
                    java.lang.Object arg3,
                    java.lang.Object arg4,
                    java.lang.Object arg5,
                    java.lang.Object arg6)

  Description copied from class: `IfsLogger`
  Log a message without IFS extra logging info, with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
    `arg3` - third logging argument.
    `arg4` - fourth logging argument.
    `arg5` - fifth logging argument.
    `arg6` - sixth logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    java.lang.String msg,
                    java.lang.Throwable thrown)

  Description copied from class: `IfsLogger`
  Log a message with a throwable, essentially a wrapper method to Logger.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `msg` - a String containing the message to log.
    `thrown` - a Throwable to log.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    LogInfo logInfo,
                    java.lang.String msg)

  Description copied from class: `IfsLogger`
  Log a message with extra IFS info.

  Parameters:
    `level` - a Level object that determines the log level of this request
    `logInfo` - a object that implements LogInfo that contains extra information to log.
    `msg` - a String containing the message to log
  (Published)

### log

    public void log(java.util.logging.Level level,
                    LogInfo logInfo,
                    java.lang.String msg,
                    java.lang.Object arg1)

  Description copied from class: `IfsLogger`
  Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `logInfo` - a object that implements LogInfo that contains extra information to log.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    LogInfo logInfo,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2)

  Description copied from class: `IfsLogger`
  Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `logInfo` - a object that implements LogInfo that contains extra information to log.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    LogInfo logInfo,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2,
                    java.lang.Object arg3)

  Description copied from class: `IfsLogger`
  Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `logInfo` - a object that implements LogInfo that contains extra information to log.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
    `arg3` - third logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    LogInfo logInfo,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2,
                    java.lang.Object arg3,
                    java.lang.Object arg4)

  Description copied from class: `IfsLogger`
  Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `logInfo` - a object that implements LogInfo that contains extra information to log.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
    `arg3` - third logging argument.
    `arg4` - fourth logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    LogInfo logInfo,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2,
                    java.lang.Object arg3,
                    java.lang.Object arg4,
                    java.lang.Object arg5)

  Description copied from class: `IfsLogger`
  Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `logInfo` - a object that implements LogInfo that contains extra information to log.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
    `arg3` - third logging argument.
    `arg4` - fourth logging argument.
    `arg5` - fifth logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    LogInfo logInfo,
                    java.lang.String msg,
                    java.lang.Object arg1,
                    java.lang.Object arg2,
                    java.lang.Object arg3,
                    java.lang.Object arg4,
                    java.lang.Object arg5,
                    java.lang.Object arg6)

  Description copied from class: `IfsLogger`
  Log a message with IFS extra logging info, and with additional arguments to be concatenated to the log message.

  Parameters:
    `level` - a Level object that determines the log level of this request.
    `logInfo` - a object that implements LogInfo that contains extra information to log.
    `msg` - a String containing the message to log.
    `arg1` - first logging argument.
    `arg2` - second logging argument.
    `arg3` - third logging argument.
    `arg4` - fourth logging argument.
    `arg5` - fifth logging argument.
    `arg6` - sixth logging argument.
  (Published)

### log

    public void log(java.util.logging.Level level,
                    LogInfo logInfo,
                    java.lang.String msg,
                    java.lang.Throwable thrown)

  Description copied from class: `IfsLogger`
  Log a message with a throwable and extra IFS logging information.

  Parameters:
    `level` - a Level object that determines the log level of this request
    `logInfo` - a object that implements LogInfo that contains extra information to log.
    `msg` - a String containing the message to log
    `thrown` - a Throwable to log
  (Published)

### log

    public void log(IfsLogRecord record)

  Description copied from class: `IfsLogger`
  Overwrite base log method to not count this class as a caller when determining calling class and method.

  Parameters:
    `record` - the LogRecord to be published
  (Published)

### getEffectiveLevel

    public java.util.logging.Level getEffectiveLevel()

  Description copied from class: `IfsLogger`
  Get the effective level of this Logger.

  If not cached, delegate request to the IfsLogManager, which will choose the closest explicitly set log level, using the root logger's level as a last resort.

  Returns:
    the effective log level for this logger
  (Published)

### clearEffectiveLevel

    public void clearEffectiveLevel()

  Description copied from class: `IfsLogger`
  Clear the effective level of this Logger.

  (Published)

### getLevel

    public java.util.logging.Level getLevel()

  Description copied from class: `IfsLogger`
  Get the log Level that has been specified for this Logger.

  Returns:
    this Logger's level
  (Published)

### isLoggable

    public boolean isLoggable(java.util.logging.Level level)

  Description copied from class: `IfsLogger`
  Check if a log request of the given level would actually be logged by this logger. This check is based on the Loggers effective level, which may be inherited from its parent. Note handlers and filters also determine if a request is logged.

  Parameters:
    `level` - a message logging level, may not be null
  Returns:
    true if the given message level is currently being logged.
  (Unpublished)

### addHandler

    public void addHandler(java.util.logging.Handler handler)
                    throws java.lang.SecurityException

  Description copied from class: `IfsLogger`
  Add a log Handler to receive logging messages.

  By default, Loggers also send their output to their parent logger. Typically the root Logger is configured with a set of Handlers that essentially act as default handlers for all loggers.

  Parameters:
    `handler` - a logging Handler
  Throws:
    `java.lang.SecurityException` - if a security manager exists and if the caller does not have LoggingPermission("control").
  (Unpublished)

### getFilter

    public java.util.logging.Filter getFilter()

  Description copied from class: `IfsLogger`
  Get the current filter for this Logger.

  Returns:
    a filter object (may be null)
  (Unpublished)

### getHandlers

    public java.util.logging.Handler[] getHandlers()

  Description copied from class: `IfsLogger`
  Get the Handlers associated with this logger.

  Returns:
    an array of all registered Handlers
  (Unpublished)

### getName

    public java.lang.String getName()

  Description copied from class: `IfsLogger`
  Get the name for this logger.

  Returns:
    logger name, normally a classname.
  (Unpublished)

### getParent

    public IfsLogger getParent()

  Description copied from class: `IfsLogger`
  Return the parent for this Logger.

  This method returns the nearest parent in the namespace. Thus if a Logger is called "a.b.c.d", and a Logger called "a.b" has been created but no logger "a.b.c" exists, then a call of getParent on the Logger "a.b.c.d" will return the Logger "a.b".

  The result will be null if it is called on the root Logger in the namespace.

  Returns:
    nearest existing parent Logger
  (Unpublished)

### removeHandler

    public void removeHandler(java.util.logging.Handler handler)
                       throws java.lang.SecurityException

  Description copied from class: `IfsLogger`
  Remove a log Handler.

  Returns silently if the given Handler is not found.

  Parameters:
    `handler` - a logging Handler
  Throws:
    `java.lang.SecurityException` - if a security manager exists and if the caller does not have LoggingPermission("control").
  (Unpublished)

### setFilter

    public void setFilter(java.util.logging.Filter filter)
                   throws java.lang.SecurityException

  Description copied from class: `IfsLogger`
  Set a filter to control output on this Logger.

  After passing the initial "level" check, the Logger will call this Filter to check if a log record should really be published.

  Parameters:
    `filter` - a filter object (may be null)
  Throws:
    `java.lang.SecurityException` - if a security manager exists and if the caller does not have LoggingPermission("control").
  (Unpublished)

### setUseParentHandlers

    public void setUseParentHandlers(boolean useParentHandlers)

  Description copied from class: `IfsLogger`
  Specify whether or not this logger should send its output to its parent Logger. This means that any LogRecords will also be written to the parent's Handlers, and potentially to its parent, recursively up the namespace.

  Parameters:
    `useParentHandlers` - true if output is to be sent to the logger's parent.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD